package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface ObjectProvider extends SuperProvider {
    public void destory();

    public BocloudResult remove(String bucket, String object);

    public BocloudResult exists(String bucket, String object);

    public BocloudResult detail(String bucket, String object);

    public BocloudResult list(String bucket);

    public BocloudResult createDir(String bucket, String object);

    public BocloudResult uploadFile(String bucket, String object, String filepath);
}
